Uploaded image for project: 'WiredTiger'
  1. WiredTiger
  2. WT-4122

Ensure compatibility downgrade cleans up old log files

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Critical - P2
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.6.6, 4.0.0-rc6, WT3.1.0, 4.1.1
    • Component/s: None
    • Labels:
    • Sprint:
      Storage Non-NYC 2018-06-18
    • Backport Requested:
      v4.0

      Description

      We recently introduced a new compatibility=(require_max=) configuration option, that checks (amongst other things) for compatible log format versions. It will ideally be able to check the format version in the most recent log file that is needed for recovery, not the oldest log file present.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              sue.loverso Susan LoVerso
              Reporter:
              alexander.gorrod Alexander Gorrod
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: